=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	- xvfb-run --\
	           dh_auto_test --no-parallel
