=== notesagent/kconf_update/CMakeLists.txt ===
#install( FILES noteglobalsettings.upd DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
