## knotes 20.08.1

=== debian/changelog ===
knotes (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:56:32 +0100

knotes (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Drop depreciated followupreminder build dep.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:21:03 +0100
