## knotes 20.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-set(KDEPIM_VERSION_NUMBER "5.13.3")
+set(PIM_VERSION "5.15.3")
 cmake_minimum_required(VERSION 3.5)
-project(knotes VERSION ${KDEPIM_VERSION_NUMBER})
-set(KDE_APPLICATIONS_VERSION "19.12.3")
+project(knotes VERSION ${PIM_VERSION})
+set(RELEASE_SERVICE_VERSION "20.08.3")
 
 
-set(KF5_MIN_VERSION "5.63.0")
+set(KF5_MIN_VERSION "5.71.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${knotes_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
@@ -38,34 +38,33 @@
 
 
 
-set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION} (${KDE_APPLICATIONS_VERSION})")
-set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
+set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
+set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
 
 
-set(AKONADINOTES_LIB_VERSION "5.13.3")
-set(AKONADI_VERSION "5.13.3")
-set(CALENDARUTILS_LIB_VERSION "5.13.3")
-set(KDEPIM_APPS_LIB_VERSION "5.13.3")
-set(KONTACTINTERFACE_LIB_VERSION "5.13.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.13.3")
-set(LIBKDEPIM_LIB_VERSION "5.13.3")
-set(KMIME_LIB_VERSION "5.13.3")
-set(PIMCOMMON_LIB_VERSION "5.13.3")
-set(GRANTLEETHEME_LIB_VERSION "5.13.3")
+set(AKONADINOTES_LIB_VERSION "5.15.3")
+set(AKONADI_VERSION "5.15.3")
+set(CALENDARUTILS_LIB_VERSION "5.15.3")
+set(KDEPIM_APPS_LIB_VERSION "5.15.3")
+set(KONTACTINTERFACE_LIB_VERSION "5.15.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.15.3")
+set(LIBKDEPIM_LIB_VERSION "5.15.3")
+set(KMIME_LIB_VERSION "5.15.3")
+set(PIMCOMMON_LIB_VERSION "5.15.3")
+set(GRANTLEETHEME_LIB_VERSION "5.15.3")
 
 
-set(QT_REQUIRED_VERSION "5.11.0")
+set(QT_REQUIRED_VERSION "5.13.0")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Network PrintSupport Test Widgets Xml)
 find_package(Qt5X11Extras NO_MODULE)
-find_package(Grantlee5 "5.1" CONFIG REQUIRED)
+find_package(Grantlee5 "5.2" CONFIG REQUIRED)
 # Find KF5 package
 find_package(KF5Completion ${KF5_MIN_VERSION} REQUIRED)
 find_package(KF5Config ${KF5_MIN_VERSION} REQUIRED)
 find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} REQUIRED)
 find_package(KF5CoreAddons ${KF5_MIN_VERSION} REQUIRED)
 find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
-find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5DNSSD ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
 find_package(KF5GlobalAccel ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -81,7 +80,6 @@
 find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} REQUIRED)
 find_package(KF5WindowSystem ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
-find_package(KF5Notifications ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
 
 # Find KdepimLibs Package
@@ -96,7 +94,7 @@
 find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 
 
-find_package(KF5AkonadiSearch "5.13.3" CONFIG REQUIRED)
+find_package(KF5AkonadiSearch "5.15.3" CONFIG REQUIRED)
 set_package_properties(KF5AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://kde.org/" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")
 
 if (NOT APPLE)
@@ -111,21 +109,27 @@
 
 include_directories(${knotes_SOURCE_DIR} ${knotes_BINARY_DIR})
 
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
-endif()
-
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
 add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_NO_KEYWORDS)
 set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 configure_file(knotes-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/knotes-version.h @ONLY)
+if(BUILD_TESTING)
+   add_definitions(-DBUILD_TESTING)
+endif()
 
 add_subdirectory(noteshared)
 add_subdirectory(src)
 add_subdirectory(notesagent)
 
-install(FILES knotes.categories knotes.renamecategories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+ecm_qt_install_logging_categories(
+        EXPORT KNOTES
+        FILE knotes.categories
+        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+        )
 
 add_subdirectory(doc)
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
