=== doc/CMakeLists.txt ===
add_subdirectory(knotes)
add_subdirectory(akonadi_notes_agent)
