=== noteshared/src/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,12 @@
     ${libnoteshared_akonadi_SRCS}
     )
 
-ecm_qt_declare_logging_category(libnoteshared_SRCS HEADER noteshared_debug.h IDENTIFIER NOTESHARED_LOG CATEGORY_NAME org.kde.pim.noteshared)
+ecm_qt_declare_logging_category(libnoteshared_SRCS HEADER noteshared_debug.h IDENTIFIER NOTESHARED_LOG CATEGORY_NAME org.kde.pim.noteshared
+        DESCRIPTION "knotes (noteshared)"
+        OLD_CATEGORY_NAMES log_noteshared
+        EXPORT KNOTES
+    )
+
 
 macro(add_resource_iface _kcfgFile _ifaceName _className)
     kcfg_generate_dbus_interface(${_kcfgFile} ${_ifaceName})
